/*
  Copyright 2010-202x held jointly by participating institutions.
  ATS is released under the three-clause BSD License.
  The terms of use and "as is" disclaimer for this license are
  provided in the top-level COPYRIGHT file.

  Authors: Ethan Coon
*/

/* -------------------------------------------------------------------------

   ATS

   Self-registering factory for Viscosity implementations.
   ------------------------------------------------------------------------- */

#include <string>
#include "viscosity_relation_factory.hh"

namespace Amanzi {
namespace Relations {

// method for instantiating Viscosity implementations
Teuchos::RCP<ViscosityRelation>
ViscosityRelationFactory::createViscosity(Teuchos::ParameterList& plist)
{
  std::string visc_typename = plist.get<std::string>("viscosity relation type");
  return Teuchos::rcp(CreateInstance(visc_typename, plist));
};

} // namespace Relations
} // namespace Amanzi
